package com.gic.haoban.manage.web.qo.contact;

import com.gic.haoban.manage.api.enums.contact.ContactBizTypeEnum;

import java.io.Serializable;
import java.util.List;

public class ContactLogQO implements Serializable {
    private static final long serialVersionUID = 973688857967269973L;
    /**
     * 会员id
     */
    private String memberId;
    /**
     * 导购id
     */
    private String clerkId;
    /**
     * 门店id
     */
    private String storeId;
    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 业务类型 1潜客（0001）2机会人群（0010）
     * @see com.gic.haoban.manage.api.enums.contact.ContactBizTypeEnum
     */
    private Integer bizType = ContactBizTypeEnum.POTENTIAL_CUSTOMER.getType();

    /**
     * 跟进记录
     */
    private String followRemark;
    /**
     * 跟进上传素材,数组格式
     */
    private List<String> followMaterialList;

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getBizType() {
        return bizType;
    }

    public void setBizType(Integer bizType) {
        this.bizType = bizType;
    }

    public String getFollowRemark() {
        return followRemark;
    }

    public void setFollowRemark(String followRemark) {
        this.followRemark = followRemark;
    }

    public List<String> getFollowMaterialList() {
        return followMaterialList;
    }

    public void setFollowMaterialList(List<String> followMaterialList) {
        this.followMaterialList = followMaterialList;
    }
}